# Generated by Django 3.2.14 on 2023-03-27 12:08

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import project_management.mixins


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("accounts", "0109_profile_feature"),
        ("project_management", "0041_projectnote_project_notes_crm_id"),
    ]

    operations = [
        migrations.CreateModel(
            name="ProjectCWNote",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "note_crm_id",
                    models.PositiveIntegerField(blank=True, null=True),
                ),
                ("updated_on", models.DateTimeField(auto_now=True)),
                (
                    "author",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "project",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="project_cw_notes",
                        to="project_management.project",
                    ),
                ),
                (
                    "provider",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="accounts.provider",
                    ),
                ),
            ],
            bases=(
                project_management.mixins.ProjectManagementAuditLogMixin,
                models.Model,
            ),
        ),
        migrations.AddIndex(
            model_name="projectcwnote",
            index=models.Index(
                fields=["provider", "project"],
                name="project_man_provide_61cec2_idx",
            ),
        ),
        migrations.AddIndex(
            model_name="projectcwnote",
            index=models.Index(
                fields=["-updated_on"], name="project_man_updated_30c12a_idx"
            ),
        ),
    ]
